<?php
/*
Title		: SMOF
Description	: Slightly Modified Options Framework
Version		: 1.4.0
Author		: Syamil MJ
Author URI	: http://aquagraphite.com
License		: WTFPL - http://sam.zoy.org/wtfpl/
Credits		: Thematic Options Panel - http://wptheming.com/2010/11/thematic-options-panel-v2/
		 	  KIA Thematic Options Panel - https://github.com/helgatheviking/thematic-options-KIA
		 	  Woo Themes - http://woothemes.com/
		 	  Option Tree - http://wordpress.org/extend/plugins/option-tree/
*/

/**
 * Definitions
 *
 * @since 1.4.0
 */
 
$theme_data;

if (function_exists('wp_get_theme')){
  $theme_data = wp_get_theme('myhosting');
  $theme_uri = $theme_data->ThemeURI;
  $author_uri = $theme_data->Author_URI;
} else {
  $theme_data = (object) get_theme_data(get_template_directory() . '/style.css');
  $theme_uri = $theme_data->URI;
  $author_uri = $theme_data->AuthorURI;
}

$version = $theme_data->Version;
$name = str_replace( ' ','',strtolower($theme_data->Name));
$description = $theme_data->Description;
$author = $theme_data->Author;

//If theme is child theme this is the name of the parent theme
$template = $theme_data->Template;
$tags = $theme_data->Tags;

define( 'SMOF_VERSION', '1.4.0' );
define( 'ADMIN_PATH', get_template_directory() . '/admin/' );
define( 'ADMIN_DIR', get_template_directory_uri() . '/admin/' );
define( 'LAYOUT_PATH', ADMIN_PATH . '/layouts/' );
define( 'THEMENAME', $name );
define( 'OPTIONS', $name.'_options' );
define( 'BACKUPS',$name.'_backups' );

/**
 * Required action filters
 *
 * @uses add_action()
 *
 * @since 1.0.0
 */
if (is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" ) add_action('admin_head','of_option_setup');
add_action('admin_head', 'optionsframework_admin_message');
add_action('admin_init','optionsframework_admin_init');
add_action('admin_menu', 'optionsframework_add_admin');
add_action( 'init', 'optionsframework_mlu_init');

/**
 * Required Files
 *
 * @since 1.0.0
 */ 
require_once ( ADMIN_PATH . 'functions/functions.load.php' );
require_once ( ADMIN_PATH . 'classes/class.options_machine.php' );

/**
 * AJAX Saving Options
 *
 * @since 1.0.0
 */
add_action('wp_ajax_of_ajax_post_action', 'of_ajax_callback');

?>