<?php
/* Register Custom Post Type for Portfolio */
add_action('init', 'portfolio_post_type_init');
function portfolio_post_type_init() {
  $labels = array(
    'name' => __('نمونه کارها', 'post type general name','myhosting'),
    'singular_name' => __('portfolio', 'post type singular name','myhosting'),
    'add_new' => __('افزودن', 'portfolio','myhosting'),
    'add_new_item' => __('افزودن نمونه کار جدید','myhosting'),
    'edit_item' => __('ویرایش نمونه کار','myhosting'),
    'new_item' => __('نمونه کار جدید','myhosting'),
    'view_item' => __('دیدن نمونه کار','myhosting'),
    'search_items' => __('جستجوی نمونه کار','myhosting'),
    'not_found' =>  __('نمونه کار وجود ندارد','myhosting'),
    'not_found_in_trash' => __('نمونه کاری در زباله دان وجود ندارد','myhosting'), 
    'parent_item_colon' => ''
  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'rewrite' => true,
    'query_var' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'show_in_nav_menus' => false,
    'menu_position' => 1000,
    'rewrite' => array(
      'slug' => 'portfolio_item',
      'with_front' => FALSE,
    ),    
    'supports' => array(
      'title',
      'editor',
      'thumbnail',
      'excerpt'
    )
  );

  register_post_type('portfolio',$args);
}

register_taxonomy("portfolio_category", 
			    	array("portfolio"), 
			    	array( "hierarchical" => true, 
			    			"label" => __("دسته بندی نمونه کارها",'myhosting'), 
			    			"singular_label" => __("Portfolio Categories",'myhosting'), 
			    			"rewrite" => true,
			    			"query_var" => true,
                "rewrite" => array(
                  "slug" => "portfolio_category"
                )
			    		));  
			    		
/* Register Custom Post Type for Slideshow */
add_action('init', 'slideshow_post_type_init');

function slideshow_post_type_init() {
  $labels = array(
    'name' => __('اسلاید شو', 'post type general name','myhosting'),
    'singular_name' => __('slideshow', 'post type singular name','myhosting'),
    'add_new' => __('افزودن', 'slideshow','myhosting'),
    'add_new_item' => __('Add New slideshow','myhosting'),
    'edit_item' => __('Edit slideshow','myhosting'),
    'new_item' => __('New slideshow','myhosting'),
    'view_item' => __('View slideshow','myhosting'),
    'search_items' => __('Search slideshow','myhosting'),
    'not_found' =>  __('No slideshow found','myhosting'),
    'not_found_in_trash' => __('No slideshow found in Trash','myhosting'), 
    'parent_item_colon' => ''
  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'rewrite' => true,
    'query_var' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'show_in_nav_menus' => false,
    'menu_position' => 1000,
    'rewrite' => array(
      'slug' => 'slideshow_item',
      'with_front' => FALSE,
    ),
    'supports' => array(
      'title',
      'editor',
      'thumbnail'  
    )
  );
  register_post_type('slideshow',$args);
}

/* Register Custom Post Type for Clients */
add_action('init', 'clients_post_type_init');

function clients_post_type_init() {
  $labels = array(
    'name' => __('کاربران', 'post type general name','myhosting'),
    'singular_name' => __('Client', 'post type singular name','myhosting'),
    'add_new' => __('افزودن', 'client','myhosting'),
    'add_new_item' => __('افزودن کاربر جدید','myhosting'),
    'edit_item' => __('ویرایش کاربر','myhosting'),
    'new_item' => __('کاربر جدید','myhosting'),
    'view_item' => __('دیدن کاربر','myhosting'),
    'search_items' => __('جستجوی کاربر','myhosting'),
    'not_found' =>  __('کاربری وجود ندارد','myhosting'),
    'not_found_in_trash' => __('کاربری در زباله دان وجود ندارد','myhosting'), 
    'parent_item_colon' => ''
  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'rewrite' => true,
    'query_var' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'show_in_nav_menus' => false,
    'menu_position' => 1000,
    'rewrite' => array(
      'slug' => 'client_item',
      'with_front' => FALSE,
    ),
    'supports' => array(
      'title',
      'thumbnail' 
    )
  );
  register_post_type('client',$args);
}

/* Register Custom Post Type for Staff */
add_action('init', 'staff_post_type_init');

function staff_post_type_init() {
  $labels = array(
    'name' => __('کارکنان', 'post type general name','myhosting'),
    'singular_name' => __('Staff', 'post type singular name','myhosting'),
    'add_new' => __('افزودن', 'client','myhosting'),
    'add_new_item' => __('Add New Staff','myhosting'),
    'edit_item' => __('Edit Staff','myhosting'),
    'new_item' => __('New Staff','myhosting'),
    'view_item' => __('View Staff','myhosting'),
    'search_items' => __('Search Staff','myhosting'),
    'not_found' =>  __('No Staff found','myhosting'),
    'not_found_in_trash' => __('No Staff found in Trash','myhosting'), 
    'parent_item_colon' => ''
  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'rewrite' => true,
    'query_var' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'show_in_nav_menus' => false,
    'menu_position' => 1000,
    'rewrite' => array(
      'slug' => 'staff_detail',
      'with_front' => FALSE,
    ),
    'supports' => array(
      'title',
      'editor',
      'thumbnail',
      'excerpt'      
    )
  );
  register_post_type('staff',$args);
}

/* Register Custom Post Type for Testimonials */
add_action('init', 'testimonial_post_type_init');

function testimonial_post_type_init() {
  $labels = array(
    'name' => __('نظر مشتریان', 'post type general name','myhosting'),
    'singular_name' => __('نظر مشتریان', 'post type singular name','myhosting'),
    'add_new' => __('افزودن', 'Testimonial','myhosting'),
    'add_new_item' => __('افزودن نظر مشتری جدید','myhosting'),
    'edit_item' => __('ویرایش نظر مشتری','myhosting'),
    'new_item' => __('نظر مشتری جدید','myhosting'),
    'view_item' => __('دیدن نظر مشتری','myhosting'),
    'search_items' => __('جستجوی نظر مشتری','myhosting'),
    'not_found' =>  __('No Testimonial found','myhosting'),
    'not_found_in_trash' => __('No Testimonial found in Trash','myhosting'), 
    'parent_item_colon' => ''
  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'rewrite' => true,
    'query_var' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'show_in_nav_menus' => false,
    'menu_position' => 1000,
    'rewrite' => array(
      'slug' => 'testimonial_detail',
      'with_front' => FALSE,
    ),
    'supports' => array(
      'title',
      'editor',
      'thumbnail'   
    )
  );
  register_post_type('testimonial',$args);
}

/* Register Custom Post Type for Features List */
add_action('init', 'feature_post_type_init');

function feature_post_type_init() {
  $labels = array(
    'name' => __('امکانات', 'post type general name','myhosting'),
    'singular_name' => __('Feature', 'post type singular name','myhosting'),
    'add_new' => __('افزودن', 'Feature','myhosting'),
    'add_new_item' => __('Add New Feature','myhosting'),
    'edit_item' => __('ویرایش امکانات','myhosting'),
    'new_item' => __('امکانات جدید','myhosting'),
    'view_item' => __('دیدن امکانات','myhosting'),
    'search_items' => __('جستجوی قابلیت ها','myhosting'),
    'not_found' =>  __('هیچ امکاناتی وجود ندارد','myhosting'),
    'not_found_in_trash' => __('هیچ امکاناتی در زباله دان وجود ندارد','myhosting'), 
    'parent_item_colon' => ''
  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'rewrite' => true,
    'query_var' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'show_in_nav_menus' => false,
    'menu_position' => 1000,
    'rewrite' => array(
      'slug' => 'feature_detail',
      'with_front' => FALSE,
    ),
    'supports' => array(
      'title',
      'thumbnail'  
    )
  );
  register_post_type('feature',$args);
}

register_taxonomy("feature_category", 
			    	array("feature"), 
			    	array( "hierarchical" => true, 
			    			"label" => __("دسته بندی امکانات",'myhosting'), 
			    			"singular_label" => __("دسته بندی امکانات",'myhosting'), 
			    			"rewrite" => true,
			    			"query_var" => true,
                "rewrite" => array(
                  "slug" => "feature_category"
                )
			    		));  
?>