<?php

function imediapixel_run_shortcode( $content ) {
    global $shortcode_tags;
 
    // Backup current registered shortcodes and clear them all out
    $orig_shortcode_tags = $shortcode_tags;
    remove_all_shortcodes();
 
    add_shortcode('checklist', 'imediapixel_checklist');
    add_shortcode('squarelist', 'imediapixel_squarelist');
    add_shortcode('bulletlist', 'imediapixel_bulletlist');
    add_shortcode('arrowlist', 'imediapixel_arrowlist');
    add_shortcode('starlist', 'imediapixel_starlist');
    add_shortcode('green_arrowlist', 'imediapixel_green_arrow');
    add_shortcode('deletelist', 'imediapixel_deletelist');
    add_shortcode('gearlist', 'imediapixel_gearlist');
    add_shortcode('penlist', 'imediapixel_penlist');
    add_shortcode('warning', 'imediapixel_warningbox');
    add_shortcode('info', 'imediapixel_infobox');
    add_shortcode('success', 'imediapixel_successbox');
    add_shortcode('error', 'imediapixel_errorbox');
    add_shortcode('pullquote_left', 'imediapixel_pullquote_left');
    add_shortcode('pullquote_right', 'imediapixel_pullquote_right');
    add_shortcode('intro_text', 'imediapixel_hightlight_text');    
    add_shortcode('dropcap1', 'imediapixel_drop_cap');
    add_shortcode('dropcap2', 'imediapixel_drop_cap2');
    add_shortcode('dropcap3', 'imediapixel_drop_cap3');
    add_shortcode('highlight_purple', 'imediapixel_highlight_purple');
    add_shortcode('highlight_brown', 'imediapixel_highlight_brown');
    add_shortcode('highlight_pink', 'imediapixel_highlight_pink');
    add_shortcode('highlight_red', 'imediapixel_highlight_red');
    add_shortcode('highlight_yellow', 'imediapixel_highlight_yellow');
    add_shortcode('highlight_green', 'imediapixel_highlight_green');
    add_shortcode('row_column', 'imediapixel_row');
    add_shortcode('col_12', 'imediapixel_col_12');
    add_shortcode('col_13', 'imediapixel_col_13');
    add_shortcode('col_14', 'imediapixel_col_14');
    add_shortcode('col_23', 'imediapixel_col_23');
    add_shortcode('col_34', 'imediapixel_col_34');
    add_shortcode('button', 'imediapixel_button');
    add_shortcode("vimeo_video", "imediapixel_vimeo"); 
    add_shortcode("youtube_video", "imediapixel_youTube");
    add_shortcode('image', 'imediapixel_imagestyle');
    add_shortcode("gmap", "imediapixel_google_maps_shortcode");
    add_shortcode('toggle', 'imediapixel_shortcode_toggle');
    add_shortcode('tabs', 'imediapixel_shortcode_tabs');
    add_shortcode('mini_tabs', 'imediapixel_shortcode_tabs');
    add_shortcode('accordions', 'imediapixel_shortcode_accordions');
    add_shortcode('clients_list','imediapixel_clients_list_shortcode');
    add_shortcode('staff_list','imediapixel_staff_list_shortcode');
    add_shortcode( 'pricing', 'imediapixel_pricing_table_shortcode' );
    add_shortcode( 'item', 'imediapixel_pricing_shortcode' );
    add_shortcode('table', 'imediapixel_table');
    add_shortcode('center_text', 'imediapixel_center_text');
    add_shortcode('promo', 'imediapixel_promobox');
    add_shortcode('testimonial', 'imediapixel_testimonial_shortcode');
    add_shortcode('divider', 'imediapixel_divider');
    add_shortcode('features_list', 'imediapixel_features_list_shortcode');
    add_shortcode('center_image', 'imediapixel_center_image');
    
    // Do the shortcode (only the one above is registered)
    $content = do_shortcode( $content );
    
    // Put the original shortcodes back
    $shortcode_tags = $orig_shortcode_tags;
    
    return $content;
}
add_filter( 'the_content', 'imediapixel_run_shortcode', 7 );
add_filter( 'the_excerpt', 'imediapixel_run_shortcode', 7 ); 
 

/* ======================================
	List Styles 
	======================================*/
function imediapixel_checklist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="check">', do_shortcode($content));
	return do_shortcode($content);	
}

function imediapixel_squarelist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="square">', do_shortcode($content));
	return do_shortcode($content);
}

function imediapixel_bulletlist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="disc">', do_shortcode($content));
	return do_shortcode($content);
}

function imediapixel_arrowlist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="arrow">', do_shortcode($content));
	return do_shortcode($content);
}

function imediapixel_starlist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="star">', do_shortcode($content));
	return do_shortcode($content);
}

function imediapixel_green_arrow( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="arrow2">', do_shortcode($content));
	return do_shortcode($content);
}

function imediapixel_deletelist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="cross">', do_shortcode($content));
	return do_shortcode($content);
}

function imediapixel_gearlist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="gear">', do_shortcode($content));
	return do_shortcode($content);
}

function imediapixel_penlist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="pen">', do_shortcode($content));
	return do_shortcode($content);
}

/* ======================================
   Messages Box
   ======================================*/
function imediapixel_warningbox( $atts, $content = null ) {
	return '<div class="warning">' . do_shortcode($content) . '</div>';
}

function imediapixel_infobox( $atts, $content = null ) {
	return '<div class="info">' . do_shortcode($content) . '</div>';
}

function imediapixel_successbox( $atts, $content = null ) {
	return '<div class="success">' . do_shortcode($content) . '</div>';
}

function imediapixel_errorbox( $atts, $content = null ) {
	return '<div class="error">' . do_shortcode($content) . '</div>';
}

/* ======================================
   Pullquote
   ======================================*/

function imediapixel_pullquote_right( $atts, $content = null ) {
	return '<span class="pullquote_right">' . do_shortcode($content) . '</span>';
}

function imediapixel_pullquote_left( $atts, $content = null ) {
	return '<span class="pullquote_left">' . do_shortcode($content) . '</span>';
}

function imediapixel_hightlight_text( $atts, $content = null ) {
	return '<p class="highlighttext">' . do_shortcode($content) . '</p>';
}

/* ======================================
   Dropcap
   ======================================*/
function imediapixel_drop_cap( $atts, $content = null ) {
	return '<span class="dropcap1">' . do_shortcode($content) . '</span>';
}

function imediapixel_drop_cap2( $atts, $content = null ) {
	return '<span class="dropcap2">' . do_shortcode($content) . '</span>';
}

function imediapixel_drop_cap3( $atts, $content = null ) {
	return '<span class="dropcap3">' . do_shortcode($content) . '</span>';
}

/* ======================================
   Divider
   ======================================*/
function imediapixel_divider( $atts, $content = null ) {
  extract(shortcode_atts(array(
		'type'	=> '',
	), $atts));
	
  if ($type == "shadow") {
    $out = '<div class="shadow-divider"></div>'; 
  } else {
    $out = '<div class="divider"></div>';
  }
	return $out;
}

/* ======================================
   Highlight
   ======================================*/
function imediapixel_highlight_purple( $atts, $content = null ) {
   return '<span class="highlight-purple">' . do_shortcode($content) . '</span>';
}

function imediapixel_highlight_brown( $atts, $content = null ) {
   return '<span class="highlight-brown">' . do_shortcode($content) . '</span>';
}

function imediapixel_highlight_pink( $atts, $content = null ) {
   return '<span class="highlight-pink">' . do_shortcode($content) . '</span>';
}

function imediapixel_highlight_red( $atts, $content = null ) {
   return '<span class="highlight-red">' . do_shortcode($content) . '</span>';
}

function imediapixel_highlight_yellow( $atts, $content = null ) {
   return '<span class="highlight-yellow">' . do_shortcode($content) . '</span>';
}

function imediapixel_highlight_blue( $atts, $content = null ) {
   return '<span class="highlight-blue">' . do_shortcode($content) . '</span>';
}
add_shortcode('highlight_blue', 'imediapixel_highlight_blue');

function imediapixel_highlight_green( $atts, $content = null ) {
   return '<span class="highlight-green">' . do_shortcode($content) . '</span>';
}

/* ======================================
   Columns
   ======================================*/

function imediapixel_row( $atts, $content = null ) {
	return '<div class="row">' . do_shortcode($content) . '</div>';
}

function imediapixel_col_12( $atts, $content = null ) {
	return '<div class="six columns">' . do_shortcode($content) . '</div>';
}

function imediapixel_col_13( $atts, $content = null ) {
	return '<div class="four columns">' . do_shortcode($content) . '</div>';
}

function imediapixel_col_14( $atts, $content = null ) {
	return '<div class="three columns">' . do_shortcode($content) . '</div>';
}

function imediapixel_col_23( $atts, $content = null ) {
	return '<div class="eight columns">' . do_shortcode($content) . '</div>';
}

function imediapixel_col_34($atts, $content = null ) {
   return '<div class="nine columns">' . do_shortcode($content) . '</div>';
}

/* ======================================
   Buttons 
   ======================================*/
function imediapixel_button( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'link'	=> '#',
		'color'	=> '',
		'size'	=> '',
	), $atts));
	
	$out = "<a class=\"button $color $size\" href=\"" .$link. "\">" .do_shortcode($content). "</a>";
  
	return $out;
}


/* ---------------------------------------------------------------------------
 * Shortcode [vimeo]
 * --------------------------------------------------------------------------- */
function imediapixel_vimeo( $attr, $content = null ) {
	extract(shortcode_atts(array(
		'width' => '620',
		'height' => '428',
		'id' => '',
	), $attr));
	
	$output  = '<div class="video-container">';
	$output .= '<iframe class="scale-with-grid" width="'. $width .'" height="'. $height .'" src="http://player.vimeo.com/video/'. $id .'" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>'."\n";
	$output .= '</div>';
	
	return $output;
}


/* ---------------------------------------------------------------------------
 * Shortcode [youtube]
 * --------------------------------------------------------------------------- */
function imediapixel_youtube( $attr, $content = null ) {
	extract(shortcode_atts(array(
		'width' => '620',
		'height' => '428',
		'id' => '',
	), $attr));
	
	$output  = '<div class="video-container">';
	$output .= '<iframe class="scale-with-grid" width="'. $width .'" height="'. $height .'" src="http://www.youtube.com/embed/'. $id .'" frameborder="0" allowfullscreen></iframe>'."\n";
	$output .= '</div>';
	
	return $output;
}


/*-----------------------------------------------------------------------------------*/
/*	Google Maps Shortcode
/*-----------------------------------------------------------------------------------*/
function imediapixel_google_maps_shortcode($atts, $content = null) {
   extract(shortcode_atts(array(
      "width" => '640',
      "height" => '480',
      "src" => ''
   ), $atts));
   
   $output ='<div class="google-map">';
   $output .='<iframe width="'.$width.'" height="'.$height.'" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="'.$src.'&amp;output=embed"></iframe>';
   $output .='</div>';
   
   return $output;
}

/* Images */
function imediapixel_imagestyle( $atts, $content = null,$code ) {
    extract(shortcode_atts(array(
		'source'	=> '#',
		'align'	=> '',
		'border'	=> false
		), $atts));

$class_align = '';
switch ($align) {
	case "left" :
		$class_align="alignleft";
	break;
	case "right" :
		$class_align="alignright";
	break;
	case "center" :
		$class_align="aligncenter";
	break;
}

if ($border == "true") {
	$out = "<img class=\"".$class_align." img-border\" src=\"" .$source. "\" alt=\"\" />"; 
	} else {
	$out = "<img class=\"".$class_align."\" src=\"" .$source. "\" alt=\"\" />";
	}
return $out;
}

/* Tabs and Accordiaon */
function imediapixel_shortcode_toggle($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'title' => false
	), $atts));
	return '<div class="toggle"><div class="toggle_title">' . $title . '</div><div class="toggle_content"><p>' . do_shortcode(trim($content)) . '</p></div></div>';
}

/* Tabs and Accordiaon */
function imediapixel_shortcode_tabs($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'style' => false
	), $atts));
	
	if (!preg_match_all("/(.?)\[(tab)\b(.*?)(?:(\/))?\](?:(.+?)\[\/tab\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	} else {
		for($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		$output = '<div class="tabs-wrapper"><ul class="'.$code.'">';
		
		for($i = 0; $i < count($matches[0]); $i++) {
			$output .= '<li><a href="#">' . $matches[3][$i]['title'] . '</a></li>';
		}
		$output .= '</ul>';
		$output .= '<div class="panes">';
		for($i = 0; $i < count($matches[0]); $i++) {
			$output .= '<div class="pane">' . do_shortcode(trim($matches[5][$i])) . '</div>';
		}
		$output .= '</div></div>';
		
		return '<div class="'.$code.'_container">' . $output . '</div>';
	}
}


function imediapixel_shortcode_accordions($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'style' => false,
		'initialtab' => 1
	), $atts));
	
	if (!preg_match_all("/(.?)\[(accordion)\b(.*?)(?:(\/))?\](?:(.+?)\[\/accordion\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	} else {
		for($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		$output = '';
		for($i = 0; $i < count($matches[0]); $i++) {
			$output .= '<div class="tab">' . $matches[3][$i]['title'] . '</div>';
			$output .= '<div class="pane">' . do_shortcode(trim($matches[5][$i])) . '</div>';
		}
		if($initialtab!="1"){
			$initialIndex = $initialtab -1;
			$data_initialIndex = ' data-initialIndex="'.$initialIndex.'"';
		}else{
			$data_initialIndex = '';
		}
		
		return '<div class="accordion"'.$data_initialIndex.'>' . $output . '</div>';
	}
}

/* ======================================
   Clients List
   ======================================*/
function imediapixel_clients_list_shortcode($atts,$content=null) {
	global $post;

extract(shortcode_atts(array(
	"cat" => '',
	"num" => '',
	"orderby" => ''
	),$atts));

return imediapixel_client_list($cat,$num,$orderby);
}

/* ======================================
   Staff List
   ======================================*/
function imediapixel_staff_list_shortcode($atts,$content=null) {
  	global $post;
  
  extract(shortcode_atts(array(
  	"title" => '',
  	"num" => '',
  	"orderby" => '',
    'column' => ''
  	),$atts));
  
    return imediapixel_staff_list($title,$num,$orderby,$column);
  }

/* ======================================
   Features List
   ======================================*/
function imediapixel_features_list_shortcode($atts,$content=null) {
  	global $post;
  
  extract(shortcode_atts(array(
    "category" => '',
  	"column" => '3',
    "num" => '',
  	"orderby" => ''
  	),$atts));
  
    return imediapixel_features_list($category,$column,$num,$orderby);
  }

/* ======================================
   Testimonial List
   ======================================*/
function imediapixel_testimonial_shortcode($atts,$content=null) {
  	global $post;
  
  extract(shortcode_atts(array(
  	"title" => '',
    "num" => '',
  	"orderby" => 'date'
  	),$atts));
  
    return imediapixel_testimonials($title,$num,$orderby);
  }

/*-----------------------------------------------------------------------------------*/
/*	Pricing Tables
/*-----------------------------------------------------------------------------------*/

/*main*/
function imediapixel_pricing_table_shortcode( $atts, $content = null  ) {
  
  extract( shortcode_atts( array(
		'column' => '4'
	), $atts ) );
	
	
	//set variables
	if($column == '3') {
		$column_size = 'third-col';
	}
	if($column =='4') {
		$column_size = 'fourth-col';
	}
	if($column =='5') {
		$column_size = 'fifth-col';
	}
  
  
  
	$out = '<div class="pricing-wrapper '.$column_size.'">'; 
	$out .= do_shortcode($content);
	$out .= '</div><div class="clear"></div>';

	return $out;
}

/*section*/
function imediapixel_pricing_shortcode( $atts, $content = null  ) {
	
	extract( shortcode_atts( array(
		'featured' => '',
    'color' => '',
		'title' => '',
    'subtitle' => '',
		'price' => '',
		'per' => '',
		'button_url' => '',
		'button_text' => 'Order'
	), $atts ) );
	
  $pr_color = '';
  $btn_color = '';
  switch ($color) {
  	case "brown" :
  		$pr_color ="brown-pr";
      $btn_color = "orange";
  	break;
  	case "orange" :
  		$pr_color ="orange-pr";
      $btn_color = "orange";
  	break;
  	case "green" :
  		$pr_color ="green-pr";
      $btn_color = "green";
  	break;
  	case "blue" :
  		$pr_color ="blue-pr";
      $btn_color = "blue";
  	break;
  	case "red" :
  		$pr_color ="red-pr";
      $btn_color = "red";
  	break;
    default :
      $pr_color ="";
      $btn_color = "gray";
  }
  
  $pricing_content = '';
  
  if ($featured =="yes") {
    $pricing_content .= '<div class="pricing-column '.$pr_color.' feature-package">';
  } else {
    $pricing_content .= '<div class="pricing-column '.$pr_color.'">';
  }
      
  $pricing_content .= '<h5 class="pricing-title">'.$title.'</h5>';
  $pricing_content .= '<div class="pricing-price">';
  $pricing_content .= '<h1>'. $price;
  if ($per !="") {
    $pricing_content .= '<span>/'.$per.'</span>'; 
  }
  $pricing_content .= '</h1>';
  $pricing_content .= '</div>';                 
  $pricing_content .= '<div class="pricing-feature">'.do_shortcode($content).'</div>';
  $pricing_content .= '<div class="pricing-description">'.$subtitle.'</div>';                
  $pricing_content .= '<div class="pricing-button">';
  if ($featured =="yes") {
    $pricing_content .= '<a href="'. $button_url .'" class="button small '.$btn_color.'">'. $button_text .'</a>';
  } else {
    $pricing_content .= '<a href="'. $button_url .'" class="button small '.$btn_color.'">'. $button_text .'</a>';
  }
  $pricing_content .= '</div>';                  
  $pricing_content .= '</div>';
  
	return $pricing_content;
}

/* Tables */

function imediapixel_table( $atts, $content = null ) {
  extract(shortcode_atts(array(
        'color'      => ''
    ), $atts));
    
	$content = "<div class=\"table-$color\">".str_replace('<table>', '<table class="table">', do_shortcode($content))."</div>";
	return $content;
	
}

function imediapixel_center_text( $atts, $content = null ) {
	$content = '<div class="heading-text">'.do_shortcode($content).'</div>';
	
  return $content;
}

function imediapixel_center_image( $atts, $content = null ) {
	$content = '<div class="center-image">'.do_shortcode($content).'</div>';
	
  return $content;
}

function imediapixel_promobox($atts, $content = null ) {
  extract(shortcode_atts(array(
        'box_left_icon'      => '',
        'box_left_text'      => '',
        'box_right_icon'      => '',
        'box_right_text'      => '',
        'box_right_subheading'      => ''
    ), $atts));
    
  $content = '';  
  $content .= '<div class="promobox">';
  $content .= '<div class="promo_text eight columns">';
  $content .= '<img src="'.$box_left_icon.'" alt="" class="alignleft" />';
  $content .= '<p>'.$box_left_text.'</p>';
  $content .= '</div>';
  $content .= '<div class="promo_contact four columns">';
  $content .= '<img src="'.$box_right_icon.'" alt="" class="alignleft" />';
  $content .= '<p>'.$box_right_subheading.'</p>';
  $content .= '<h3>'.$box_right_text.'</h3>';
  $content .= '</div>';
  $content .= '</div>';
  
  return $content;
}
?>