<?php
/*-----------------------------------------------------------------------------------
    Register Widgets  
-----------------------------------------------------------------------------------*/
$dynamic_widget_sidebar_areas = array(
		/* rename or create new dynamic sidebars */
    "General Sidebar",
    "About Sidebar",
		"Blog Sidebar",
		"Sidebar Page 1",
		"Sidebar Page 2",
		"Sidebar Page 3",
		"Sidebar Page 4",
		"Sidebar Page 5"
		);
if ( function_exists('register_sidebar') ) {
    foreach ($dynamic_widget_sidebar_areas as $widget_area_name) {
        register_sidebar(array(
           'name'=> $widget_area_name,
           'before_widget' => '<div class="sidebar"><div class="widgets %2$s" id="%1$s">',
           'after_widget' => '</div></div>',
           'before_title' => '<h5>',
           'after_title' => '</h5>'
        ));
    }
}

$dynamic_widget_bottom_areas = array(
		/* rename or create new dynamic sidebars */
    "Bottom 1",
		"Bottom 2",
		"Bottom 3",
    "Bottom 4"
		);
if ( function_exists('register_sidebar') ) {
    foreach ($dynamic_widget_bottom_areas as $widget_area_name) {
        register_sidebar(array(
           'name'=> $widget_area_name,
           'before_widget' => '<div id="%1$s" class="footer-widgets %2$s">',
           'after_widget' => '</div>',
           'before_title' => '<h5>',
           'after_title' => '</h5>'
        ));
    }
}

/*-----------------------------------------------------------------------------------
    Latest News Widget 
-----------------------------------------------------------------------------------*/
class LatestNews_Widget extends WP_Widget {
  
  function LatestNews_Widget() {
    $widgets_opt = array('description'=>'avanix Latest News Theme Widget');
    parent::WP_Widget(false,$name= "avanix - Latest News",$widgets_opt);
  }
  
  function form($instance) {
    global $post;
    
    $catid = esc_attr($instance['catid']);
    $newstitle = esc_attr($instance['newstitle']);
    $numnews = esc_attr($instance['numnews']);
    
    $categories_list = get_categories('hide_empty=0');
    
    $categories = array();
    foreach ($categories_list as $catlist) {
    	$categories[$catlist->cat_ID] = $catlist->cat_name;
    }

  ?>
    <p><label for="newstitle">Title:
  		<input id="<?php echo $this->get_field_id('newstitle'); ?>" name="<?php echo $this->get_field_name('newstitle'); ?>" type="text" class="widefat" value="<?php echo $newstitle;?>" /></label></p>  
	 <p><small>Please select category for <b>News</b>.</small></p>
		<select  name="<?php echo $this->get_field_name('catid'); ?>"  id="<?php echo $this->get_field_id('catid'); ?>" >
			<?php foreach ($categories as $opt => $val) { ?>
		<option value="<?php echo $opt ;?>" <?php if ( $catid  == $opt) { echo ' selected="selected" '; }?>><?php echo $val; ?></option>
		<?php } ?>
		</select>
		</label></p>	
    <p><label for="numnews">Number to display:
  		<input id="<?php echo $this->get_field_id('numnews'); ?>" name="<?php echo $this->get_field_name('numnews'); ?>" type="text" class="widefat" value="<?php echo $numnews;?>" /></label></p>
    <?php    
  } 
  
  function update($new_instance, $old_instance) {
    return $new_instance;
  }
  
  function widget( $args, $instance ) {
    global $post;
    
    extract($args);
    
    $catid = apply_filters('catid',$instance['catid']);
    $newstitle = apply_filters('newstitle',$instance['newstitle']);
    $numnews = apply_filters('numnews',$instance['numnews']);    
    
    if ($numnews == "") $numnews = 3;
    if ($newstitle == "") $newstitle = "Latest News";
    
    echo $before_widget;
    $title = $before_title.$newstitle.$after_title;
    echo imediapixel_latestnews($title,$catid,$numnews,"date",12,"square",20);
    ?>
   <div class="clear"></div>
   <?php
   wp_reset_query();    
   echo $after_widget;
  } 
}

add_action('widgets_init', create_function('', 'return register_widget("LatestNews_Widget");'));


/*-----------------------------------------------------------------------------------
    Testimonial Widget  
-----------------------------------------------------------------------------------*/
class Testimonial_Widget extends WP_Widget {
  function Testimonial_Widget() {
    $widgets_opt = array('description'=>'myhosting Testimonials Theme Widget');
    parent::WP_Widget(false,$name= "myhosting - Testimonials",$widgets_opt);
  }
  
  function form($instance) {
    global $post;
    
    $testititle = esc_attr($instance['testititle']);
    $numtesti = esc_attr($instance['numtesti']);
    
  ?>
    <p><label for="testititle">Title:
  		<input id="<?php echo $this->get_field_id('testititle'); ?>" name="<?php echo $this->get_field_name('testititle'); ?>" type="text" class="widefat" value="<?php echo $testititle;?>" /></label></p>  
	 <p><small>Please select category for <b>Testimonial</b>.</small></p>
    <p><label for="numtesti">Number to display:
  		<input id="<?php echo $this->get_field_id('numtesti'); ?>" name="<?php echo $this->get_field_name('numtesti'); ?>" type="text" class="widefat" value="<?php echo $numtesti;?>" /></label></p>
    <?php    
  } 
  
  function update($new_instance, $old_instance) {
    return $new_instance;
  }
  
  function widget( $args, $instance ) {
    global $post;
    
    extract($args);
    
    $testititle = apply_filters('testititle',$instance['testititle']);
    $numtesti = apply_filters('numtesti',$instance['numtesti']);    
        
    if ($numtesti == "") $numtesti = -1;
    if ($testititle == "") $testititle = "Testimonials";
    
    echo $before_widget;
    $title = $before_title.$testititle.$after_title;
    echo imediapixel_testimonials($title,$numtesti);
   echo $after_widget;
  } 
}

add_action('widgets_init', create_function('', 'return register_widget("Testimonial_Widget");'));

/*-----------------------------------------------------------------------------------
    Clients Widget
-----------------------------------------------------------------------------------*/
class Clients_Widget extends WP_Widget {
  function Clients_Widget() {
    $widgets_opt = array('description'=>'myhosting clients Theme Widget');
    parent::WP_Widget(false,$name= "myhosting - Clients List",$widgets_opt);
  }
  
  function form($instance) {
    global $post;
    
    $clienttitle = esc_attr($instance['clienttitle']);
    $numclient = esc_attr($instance['numclient']);
    
  ?>
    <p><label for="clienttitle">Title:
  		<input id="<?php echo $this->get_field_id('clienttitle'); ?>" name="<?php echo $this->get_field_name('clienttitle'); ?>" type="text" class="widefat" value="<?php echo $clienttitle;?>" /></label></p>  
	 <p><small>Please select category for <b>Testimonial</b>.</small></p>
    <p><label for="numclient">Number to display:
  		<input id="<?php echo $this->get_field_id('numclient'); ?>" name="<?php echo $this->get_field_name('numclient'); ?>" type="text" class="widefat" value="<?php echo $numclient;?>" /></label></p>
    <?php    
  } 
  
  function update($new_instance, $old_instance) {
    return $new_instance;
  }
  
  function widget( $args, $instance ) {
    global $post;
    
    extract($args);
    
    $clienttitle = apply_filters('clienttitle',$instance['clienttitle']);
    $numclient = apply_filters('numclient',$instance['numclient']);    
        
    if ($numclient == "") $numclient = -1;
    if ($clienttitle == "") $clienttitle = "Clients";
    
    echo $before_widget;
    $title = $before_title.$clienttitle.$after_title;
    echo imediapixel_client_list($title,$numclient);
    echo $after_widget;
  } 
}

add_action('widgets_init', create_function('', 'return register_widget("Clients_Widget");'));

/*-----------------------------------------------------------------------------------
    Twitter Widget
-----------------------------------------------------------------------------------*/
class Twitter_Widget extends WP_Widget {
  function Twitter_Widget() {
    $widgets_opt = array('description'=>'Display your latest twitter feed');
    parent::WP_Widget(false,$name= "myhosting - Twitter Update",$widgets_opt);
  }
  
  function form($instance) {
    global $post;
    
    $twittertitle = esc_attr($instance['twittertitle']);
    $twitternum = esc_attr($instance['twitternum']);

  ?>
    <p><label for="twittertitle">Title:
  		<input id="<?php echo $this->get_field_id('twittertitle'); ?>" name="<?php echo $this->get_field_name('twittertitle'); ?>" type="text" class="widefat" value="<?php echo $twittertitle;?>" /></label></p>
    <p><label for="twitternum">Number to dispay:
  		<input id="<?php echo $this->get_field_id('twitternum'); ?>" name="<?php echo $this->get_field_name('twitternum'); ?>" type="text" class="widefat" value="<?php echo $twitternum;?>" /></label></p>                            
	  <?php    
  } 
  
  function update($new_instance, $old_instance) {
    return $new_instance;
  }
  
  function widget( $args, $instance ) {
    global $post;
    
    extract($args);
    
    $twittertitle = apply_filters('twittertitle',$instance['twittertitle']);
    $twitternum = apply_filters('twitternum',$instance['twitternum']);
    
    if ($twittertitle =="") $twittertitle = "Twitter Update!";
    if ($twitternum =="") $twitternum = 1;
    
    echo $before_widget;
    $title = $before_title.$twittertitle.$after_title;    
    imediapixel_twitter_feed($title,$twitternum);
    echo $after_widget;
  } 
}

add_action('widgets_init', create_function('', 'return register_widget("Twitter_Widget");'));

/*-----------------------------------------------------------------------------------
    Custom Tags Widget
-----------------------------------------------------------------------------------*/
class customTags_Widget extends WP_Widget {
  function customTags_Widget () {
    $widgets_opt = array('description'=>'myhosting custom tags cloud layout widget');
    parent::WP_Widget(false,$name= "myhosting - Custom Tags",$widgets_opt);
  }
  
  function form($instance) {
    global $post;
    
    $tagstitle = esc_attr($instance['tagstitle']);         
  ?>
    <p><label for="searchboxtitle">Title:
  		<input id="<?php echo $this->get_field_id('tagstitle'); ?>" name="<?php echo $this->get_field_name('tagstitle'); ?>" type="text" class="widefat" value="<?php echo $tagstitle;?>" /></label></p>       		
    <?php    
  } 
  
  function update($new_instance, $old_instance) {
    return $new_instance;
  }
  
  function widget( $args, $instance ) {
    global $post, $sidebarp;
    extract($args);
    
    echo $before_widget;
    
    $tagstitle = apply_filters('tagstitle',$instance['tagstitle']);
    
    echo $before_title.$tagstitle.$after_title;
    echo '<div class="tag-cloud">';
    wp_tag_cloud('smallest=8&largest=8');
    echo '</div>';
    echo $after_widget; 
  } 
}

add_action('widgets_init', create_function('', 'return register_widget("customTags_Widget");'));
?>