<?php global $data;?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

  <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
  
  <!-- Set the viewport width to device width for mobile -->
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
 
  <!-- Title Tag -->
  <title><?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' |'; } ?> <?php bloginfo('name'); ?></title>
  
  
  <!-- Favicon -->
  <?php $favico = $data['favicon'];?>
  <link rel="shortcut icon" href="<?php echo ($favico) ? $favico : get_template_directory_uri().'/images/favicon.ico';?>"/>
  
  <!-- Main CSS -->
  <link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri();?>/style.css" />
  <link rel="canonical" href="http://www.bigtheme.ir" />
  <?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
  
  <?php wp_head();?>
  
  <!--[if lt IE 9]>
  	<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->
                    
</head>
<?php if ( ! isset( $content_width ) ) $content_width = '';?>
<body <?php body_class(); ?>>
  
  <div id="top-wrapper<?php if (!is_home() && !is_front_page()) echo '-inner';?>">
  <?php
  $info_text = $data['info_text'];
  $support_help_text = $data['support_help_text'];
  $support_help_url = $data['support_help_url'];
  $support_chat_text = $data['support_chat_text'];
  $support_chat_url = $data['support_chat_url'];
  $support_chat_text = $data['support_chat_text'];
  $support_chat_url = $data['support_chat_url'];
  $support_login_text = $data['support_login_text'];
  $support_login_url = $data['support_login_url'];
  ?>
  <header>
    <div class="row">
      <div class="six columns">
        <div class="operational"><p><?php echo $info_text ? stripslashes($info_text) : __('This can be information text here','myhosting');?></p></div>
      </div>
      <div class="six columns">
        <div class="top_help">
          <ul>
            <li class="help"><a href="<?php echo $support_help_url? $support_help_url : "#";?>"><?php echo $support_help_text ? stripslashes($support_help_text) : __('Help and Support','myhosting');?></a></li>
            <li class="chat"><a href="<?php echo $support_chat_url? $support_chat_url : "#";?>"><?php echo $support_chat_text ? stripslashes($support_chat_text) : __('Live Chat','myhosting');?></a></li>
            <li class="phone"><?php echo $data['info_phone'];?></li>
            <li class="client-login"><a href="<?php echo $support_login_url ? $support_login_url : "#";?>"><?php echo $support_login_text ? stripslashes($support_login_text) : __('Client Login','myhosting');?></a></li>
          </ul>
        </div>
      </div>
    </div>  
  
  <div class="clear"></div>
  
  <section id="menubar">
    <div class="row">
      <div id="logo" class="three columns">
        <?php $logo = $data['main_logo']; ?>
        <a href="<?php echo home_url();?>"><img src="<?php echo ($logo) ? $logo : get_template_directory_uri().'/images/logo.png';?>" alt="<?php bloginfo('name'); ?>"/></a>
      </div>
      <nav id="navigation" class="nine columns">
      <?php wp_nav_menu( array(
            'theme_location' => 'topnav',
            'sort_column' => 'menu_order',
            'menu_class' => 'sf-menu',
            'fallback_cb' => ''
        )); ?>
      </nav>
    </div>
  </section>
  
 </header>
   