<?php
/*
Template Name: Staff
*/
?>
<?php get_header();?>
   
  <section id="page-heading">
    <div class="row">
      
      <div class="six columns">
        <div class="page-title">
          <h2><?php the_title();?></h2>
        </div>
      </div>
      
      <div class="six columns">
        <div class="search-box">
          <form id="search" action="<?php echo home_url();?>" method="get" >
            <input type="text" value="جستجو..." onblur="if (this.value == ''){this.value = 'جستجو...'; }" onfocus="if (this.value == 'جستجو...') {this.value = ''; }" class="input-search" id="s" name="s" />
          </form>
        </div>
      </div>
      
    </div>  
 </section>
 
</div>

  <section id="page-bar">
     <div class="row">
       
       <div class="twelve columns">
         <div class="breadcrumbs">
          <?php if ( function_exists( 'breadcrumbs_plus' ) ) breadcrumbs_plus(); ?>
         </div>
       </div>     
       
     </div>  
  </section>

  <div class="clear"></div>
  
  
  <div class="content">
    <div class="main-content">
      <div class="row">
        
        <div class="twelve columns">
        <?php 
          if (have_posts()) :
          while ( have_posts() ) : the_post();
          the_content();
          endwhile;
          endif;
        ?>
        </div>
        
        <?php
        query_posts(array( 'post_type' => 'staff', 'posts_per_page' => -1,"orderby" => 'date','order'=> 'DESC'));
        
        while ( have_posts() ) : the_post();
        $staff_linkedin = get_post_meta($post->ID,"_staff_linkedin",true);
        $staff_twitter = get_post_meta($post->ID,"_staff_twitter",true);
        $staff_facebook = get_post_meta($post->ID,"_staff_facebook",true);
        $staff_google_plus = get_post_meta($post->ID,"_staff_google_plus",true);
        $thumb   = get_post_thumbnail_id();
        $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
        $image   = aq_resize( $img_url, 100, 182, true ); //resize & crop the image
        ?>
        <div class="six columns"> 
          <div class="staff-thumb">
            <?php if ($image) { ?> 
              <img src="<?php echo $image;?>" alt="" class="img-border2 alignleft" />
            <?php } ?>
          </div>
          <div class="staff-content">
            <h5><?php the_title();?></h5>
            <ul class="staff_social">
              <?php if ($staff_linkedin !="") { ?>
                <li><a href="mailto:<?php echo $staff_linkedin;?>" title="<?php echo __('Get in Touch','myhosting');?>" class="tooltip"><img src="<?php echo get_template_directory_uri();?>/images/linkedin.png" /></a></li>
              <?php } ?>
              <?php if ($staff_twitter !="") { ?>
                <li><a href="mailto:<?php echo $staff_twitter;?>" title="<?php echo  __('Get in Touch','myhosting');?>" class="tooltip"><img src="<?php echo get_template_directory_uri();?>/images/twitter.png" /></a></li>
              <?php } ?>
              <?php if ($staff_facebook !="") { ?>
                <li><a href="mailto:<?php echo $staff_facebook;?>" title="<?php echo  __('Get in Touch','myhosting');?>" class="tooltip"><img src="<?php echo get_template_directory_uri();?>/images/facebook.png" /></a></li>
              <?php } ?>
              <?php if ($staff_google_plus !="") { ?>
                <li><a href="mailto:<?php echo $staff_google_plus;?>" title="<?php echo  __('Get in Touch','myhosting');?>" class="tooltip"><img src="<?php echo get_template_directory_uri();?>/images/googleplus.png" /></a></li>
              <?php } ?>
            </ul>
            <?php the_content();?>
          </div>
        </div>
        <?php endwhile;?>  
      </div>
      <div class="clear"></div>
    </div>
        
  <div class="clear"></div>
    
  </div>
  
  <?php get_footer();?>